Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 531286 - app-admin/puppet 2.7 removal
Summary: app-admin/puppet 2.7 removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL:
Whiteboard:
Keywords:
Depends on: CVE-2014-3248
Blocks:
  Show dependency tree
 
Reported: 2014-12-01 02:42 UTC by Eric Gisse
Modified: 2015-06-09 14:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Gisse 2014-12-01 02:42:45 UTC
Puppet 2.7 is no longer maintained by puppetlabs.

See: https://groups.google.com/forum/#!msg/puppet-users/8JEy7wY5VPs/9N07fgfU1mAJ

Official support (bugfixes, etc) ended September 30th, 2014. 

Could we get 2.7 hardmasked, pending removal in some reasonable timeframe? 

The 3.7 series is stable within portage, so there is no value to keeping it around that I can determine since it has no more upstream support and adds maintainer overhead that isn't necessary.

This has a side benefit of stabilizing puppet. So when I rewrite the puppet selinux policy for 3.x, I won't have to worry about what happens to 2.7. 

I might also tinker with getting puppetdb as a maintainable use flag, not sure. My gentoo time is busy with assaulting selinux atm. We'll see.

But having 2.7 gone makes all that easier.
Comment 1 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2014-12-01 16:54:42 UTC
cool, thought that 2.7 was keyworded for more platforms, 3.4.1 has the necessary keywords and I'm all for this.  Need to CC infra because I think we are still on 2.7.
Comment 2 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-12-01 17:00:30 UTC
We're not, feel free to proceed
Comment 3 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2014-12-12 20:42:27 UTC
package masked in base/package.mask
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2015-06-09 14:50:25 UTC
app-admin/puppet-2.7 has been removed.